# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Util.pm) perl(Carp.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(Moo.pm) perl(Promises.pm) perl(Test/More.pm) perl(Test/PostgreSQL.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm) perl(constant.pm) perl(curry.pm) perl(namespace/clean.pm) perl(ok.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name AnyEvent-PgRecvlogical
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: perl port of pg_recvlogical
Group: Development/Perl
License: perl
URL: https://github.com/mydimension/AnyEvent-PgRecvlogical

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MY/MYDMNSN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`AnyEvent::PgRecvlogical' provides perl bindings of similar functionality to that of
pg_recvlogical.
The reasoning being that `pg_recvlogical' does afford the consuming process the opportunity to emit feedback to
PostgreSQL. This results is potentially being sent more data than you can handle in a timely fashion.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE README.md Changes
%perl_vendor_privlib/A*

%changelog
* Thu Feb 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

